MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025114Open CASCADE[OCCT] OCCT:Configurationpublic2014-07-30 19:302016-04-20 15:48
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025114: CMake-based build tools for OCCT 7.0
DescriptionIn OCCT 6.x, CMake scripts are generated by WOK (except the root one).
For OCCT 7.0 we need to have these scripts edited manually and stored in OCCT sources.
TagsNo tags attached.
Test case number
Attached Fileszip file icon env.zip (6,256 bytes) 2015-01-23 14:27
pdf file icon overview.pdf (290,265 bytes) 2015-01-23 14:27

- Relationships
related to 0026475closedbugmaster occt-product CMake should bind required OCCT libraries even if they do not exist 
parent of 0026388closedabv Setting debugging environment of the Visual Studio solution of OCCT generated by CMake 
parent of 0026389closedabv The Visual Studio solution of OCCT generated by CMake should have all build configurations 
parent of 0022827closedabv Make non-CPP source files (CDLs, headers) to appear in MS VS project files 
related to 0025791closedbugmaster Impossibility to generate projects for Foundation Classes without TclTk/Freetype using CMake 

-  Notes
(0030502)
git (administrator)
2014-07-31 11:43

Branch CR25114 has been created by apn.

SHA-1: 15f16f1d730831914b31a58211ecbb3acd1eab9d
(0030503)
apn (administrator)
2014-07-31 11:43

Branch CR25114 is ready for review.
(0030508)
git (administrator)
2014-07-31 14:00

Branch CR25114 has been updated forcibly by apn.

SHA-1: c8d5f832fe0ec46d6cdc4f0a504f9d43be3d9e6a
(0030513)
git (administrator)
2014-07-31 17:43

Branch CR25114 has been updated forcibly by apn.

SHA-1: b5fcabbf38a3901900e543a04dd71f4ecf684a3a
(0030516)
git (administrator)
2014-08-01 11:13

Branch CR25114 has been updated forcibly by apn.

SHA-1: cace5884bb14f0fbe509a2ae5979cac2d85a7e9b
(0030518)
git (administrator)
2014-08-01 11:22

Branch CR25114 has been updated forcibly by apn.

SHA-1: 4582e6782a51603c887fe25e3017d93c122412c7
(0030570)
git (administrator)
2014-08-05 12:17

Branch CR25114 has been updated by apn.

SHA-1: 74bec74bc86594b0275334b2ae0fd71fa132d6bc


      from 4582e67 0025114: CMake-based build tools for OCCT 7.0
       new 74bec74 Added opportunity to run tests and generate documentation from cmake.


Detailed log of new commits:

commit 74bec74bc86594b0275334b2ae0fd71fa132d6bc
Author: apn
Date: Tue Aug 5 12:17:01 2014 +0400

    Added opportunity to run tests and generate documentation from cmake.

(0030647)
git (administrator)
2014-08-11 11:04

Branch CR25114 has been updated by ski.

SHA-1: fd02cadd0b7aaab8ee075c3862110b4af8cb309a


      from 74bec74 Added opportunity to run tests and generate documentation from cmake.
       new fd02cad Generation of *.yacc and *.lex files and copying of doc directory were added.


Detailed log of new commits:

commit fd02cadd0b7aaab8ee075c3862110b4af8cb309a
Author: ski
Date: Mon Aug 11 11:04:31 2014 +0400

    Generation of *.yacc and *.lex files and copying of doc directory were added.

(0030741)
git (administrator)
2014-08-14 10:59

Branch CR25114 has been updated by ski.

SHA-1: 49c82829add1a1f9e13586e466e0a2033eb8d35f


      from fd02cad Generation of *.yacc and *.lex files and copying of doc directory were added.
       new 49c8282 Some remarks were applyed: - Unused EXTERNLIB files were removed. - GenerateDocumentation project is independent from anything now. - All modules are placed to the folder "Modules" in solution explorer in msvc. - Support of OpenSl was removed. - All *.cmake files were moved from adm/templates to adm/cmake directory. - Files template.cmake_dinf and template.cmake_modules were removed. - Wrong using of "$<CONFIGURATION>" variable were removed.


Detailed log of new commits:

commit 49c82829add1a1f9e13586e466e0a2033eb8d35f
Author: ski
Date: Thu Aug 14 10:58:55 2014 +0400

    Some remarks were applyed:
    - Unused EXTERNLIB files were removed.
    - GenerateDocumentation project is independent from anything now.
    - All modules are placed to the folder "Modules" in solution explorer in msvc.
    - Support of OpenSl was removed.
    - All *.cmake files were moved from adm/templates to adm/cmake directory.
    - Files template.cmake_dinf and template.cmake_modules were removed.
    - Wrong using of "$<CONFIGURATION>" variable were removed.

(0030750)
git (administrator)
2014-08-14 15:13

Branch CR25114 has been updated by ski.

SHA-1: d7450515b6d30506fba6d78d9f3951528ee3f4f0


      from 49c8282 Some remarks were applyed: - Unused EXTERNLIB files were removed. - GenerateDocumentation project is independent from anything now. - All modules are placed to the folder "Modules" in solution explorer in msvc. - Support of OpenSl was removed. - All *.cmake files were moved from adm/templates to adm/cmake directory. - Files template.cmake_dinf and template.cmake_modules were removed. - Wrong using of "$<CONFIGURATION>" variable were removed.
       new d745051 Using native Bison and Flex packages from Cmake was added.


Detailed log of new commits:

commit d7450515b6d30506fba6d78d9f3951528ee3f4f0
Author: ski
Date: Thu Aug 14 15:13:01 2014 +0400

    Using native Bison and Flex packages from Cmake was added.

(0030756)
git (administrator)
2014-08-14 17:22

Branch CR25114 has been updated by ski.

SHA-1: 86a26fdf2547328e6e5a77f0724af48635de904a


      from d745051 Using native Bison and Flex packages from Cmake was added.
       new 86a26fd List of OCC Modules with dependent toolkits is stored in file adm/MODULES now.


Detailed log of new commits:

commit 86a26fdf2547328e6e5a77f0724af48635de904a
Author: ski
Date: Thu Aug 14 17:22:33 2014 +0400

    List of OCC Modules with dependent toolkits is stored in file adm/MODULES now.

(0030757)
git (administrator)
2014-08-14 18:58

Branch CR25114 has been updated by ski.

SHA-1: 41e4bcc936a5d6108c3032e3f3362a57cdc4ab94


      from 86a26fd List of OCC Modules with dependent toolkits is stored in file adm/MODULES now.
       new 41e4bcc List of OCC Resources is stored in file adm/RESOURCES now.


Detailed log of new commits:

commit 41e4bcc936a5d6108c3032e3f3362a57cdc4ab94
Author: ski
Date: Thu Aug 14 18:58:34 2014 +0400

    List of OCC Resources is stored in file adm/RESOURCES now.
    
    Some cosmetic changes were done.
    List of source files is created from src/package/FILES file.

(0030785)
git (administrator)
2014-08-15 14:55

Branch CR25114 has been updated by apn.

SHA-1: db6c79516f73d203dacc8f86d45c9b6dbef54f79


      from 41e4bcc List of OCC Resources is stored in file adm/RESOURCES now.
       new db6c795 Modifications for building OCCT with cmake on Linux (search and copy libraries)


Detailed log of new commits:

commit db6c79516f73d203dacc8f86d45c9b6dbef54f79
Author: apn
Date: Fri Aug 15 14:55:24 2014 +0400

    Modifications for building OCCT with cmake on Linux (search and copy libraries)

(0030799)
git (administrator)
2014-08-15 18:03

Branch CR25114 has been updated forcibly by apn.

SHA-1: 4b71a3c086f81e6f02dfe45f65a2f4b760f1937b
(0030876)
git (administrator)
2014-08-19 12:58

Branch CR25114_1 has been created by apn.

SHA-1: 50fd6f133832f612cd9ef667c3ce7926ba5c5696


This branch includes the following new commits:

       new 50fd6f1 0025114: CMake-based build tools for OCCT 7.0


Detailed log of new commits:

commit 50fd6f133832f612cd9ef667c3ce7926ba5c5696
Author: apn
Date: Tue Aug 19 12:57:43 2014 +0400

    0025114: CMake-based build tools for OCCT 7.0
    
    Rebased CR25114 to CR0_noCDL_3
(0030877)
git (administrator)
2014-08-19 13:57

Branch CR25114_1 has been updated forcibly by apn.

SHA-1: 3ef5371289047b9d8247207784c121ca28acc8c6
(0030984)
git (administrator)
2014-08-21 12:01

Branch CR25114_1 has been updated by apn.

SHA-1: a5d34833d62640786a3716fb076767ca12e137a7


Detailed log of new commits:

Author: apn
Date: Thu Aug 21 12:01:36 2014 +0400

    Modified standard mfc samples to compile its by cmake (exception caused by deleting package MgtBRep).

(0031017)
git (administrator)
2014-08-21 19:16

Branch CR25114 has been updated by ibs.

SHA-1: 9b67194e7601fdc4b7a1593f6594ed84370ee154


Detailed log of new commits:

Author: ibs
Date: Thu Aug 21 19:10:08 2014 +0400

    0025141: CMake / MinGW: link recipe fails due to long command
    
    required configuration options added

(0031162)
git (administrator)
2014-08-28 17:09

Branch CR25114 has been updated forcibly by ibs.

SHA-1: 4b71a3c086f81e6f02dfe45f65a2f4b760f1937b
(0031229)
git (administrator)
2014-09-01 16:54

Branch CR25114_1 has been updated by ski.

SHA-1: faa23e05ee48b0012d31c8a3096ce98091ebef2c


Detailed log of new commits:

Author: ski
Date: Mon Sep 1 16:54:34 2014 +0400

    Generation of documentation was moved from .tcl scripts to .cmake file.

(0031283)
git (administrator)
2014-09-02 17:15

Branch CR25114_1 has been updated forcibly by ski.

SHA-1: 214e970c9ff893482afd5ad5f78c3dd93b71c09e
(0031299)
git (administrator)
2014-09-03 12:00

Branch CR25114_1 has been updated by ski.

SHA-1: 06fa6aa483919ec310db1dc18b126a130e06ee70


Detailed log of new commits:

Author: ski
Date: Wed Sep 3 12:00:01 2014 +0400

    Generation of documentation in chm and pdf formats is available now.

(0031302)
git (administrator)
2014-09-03 12:30

Branch CR25114_1 has been updated forcibly by ski.

SHA-1: 0324e1c9d600e3a6d113c6e5fdb9d8d91283146e
(0031310)
git (administrator)
2014-09-03 15:10

Branch CR25114_1 has been updated forcibly by ski.

SHA-1: 6760df0ed27c104b47f9cdeac9d740ad6c0247dd
(0031311)
git (administrator)
2014-09-03 15:26

Branch CR25114_1 has been updated forcibly by ski.

SHA-1: ef7fede556dba8ca047eb1db97f00e81a7aa3349
(0031783)
ibs (developer)
2014-09-16 17:39

apn,

cmake building procedure was cut and integrated into master. If you would like to rebase CR25114 occt branch onto master, i can help with it.
(0032758)
git (administrator)
2014-10-07 12:40

Branch CR25114_1 has been updated by apn.

SHA-1: 6784aedc3da11e7390308da8ae3f1e9cb4873356


Detailed log of new commits:

Author: apn
Date: Tue Oct 7 12:39:50 2014 +0400

    OCCT mfc samples were corrected

(0033095)
git (administrator)
2014-10-15 10:15

Branch CR25114_2 has been created by ski.

SHA-1: fccdc0fde16a68f247d000e3607c08285655e583


Detailed log of new commits:

Author: ski
Date: Wed Oct 15 10:05:33 2014 +0400

    *occt_upgrade_nocdl* command from branch CR24816 was applied.

Author: ski
Date: Tue Oct 14 17:10:30 2014 +0400

    Package SortTools and its derived classes are removed; STL sort algorithms are used instead.
    
    Comparator objects are mostly reimplemented as local classes.

Author: ski
Date: Tue Oct 14 16:25:04 2014 +0400

    Forward declaration of TCollection instances as classes are replaced by inclusion of corresponding header.
    
    Cyclic dependencies between declaration of collection class and its item are resolved by forward declaring a class in collection header.

Author: ski
Date: Tue Oct 14 16:04:11 2014 +0400

    Automatic upgrade of code by command "occt_upgrade -tcollection" from branch CR24816.

Author: ski
Date: Tue Oct 14 16:00:47 2014 +0400

    Remaining missing includes added manually.

Author: ski
Date: Tue Oct 14 15:52:28 2014 +0400

    Automatic upgrade of code by command "occt_upgrade -rtti" from branch CR24816.

Author: ski
Date: Tue Oct 14 15:49:57 2014 +0400

    Automatic upgrade of code by command "occt_upgrade -rtti -compat" from branch CR24816.

Author: ski
Date: Tue Oct 14 15:44:38 2014 +0400

    Redesign OCCT legacy type system
    
    Global static functions instantiating RTTI descriptors for class types (used though STANDARD_TYPE macro) are replaced by template static method Instance() of the class Standard_Type.
    Implementation of RTTI is revised accordingly (global registry of type descriptors added to ensure single instance of each type descriptor shared by all dynamic libraries).
    Obsolete methods of Standard_Type class (IsInstance(), Ancestors()) are removed; new method Parent() is added returning type descriptor of the parent class.
    Class Standard_AncestorIterator is removed; this iteration can be easily done by recursive calls to Standard_Type::Parent().
    
    Definition of macro STANDARD_TYPE() moved from Standard_Macro.hxx to Standard_DefineHandle.hxx.
    Inclusion of Standard_Type.hxx and the class header is now necessary for use of method DownCast() and function STANDARD_TYPE() for the class.
    In general, Standard_Type.hxx should be included now instead of Standard_DefineHandle.hxx in places where these macros are used.
    
    Macro DEFINE_STANDARD_EXCEPTION changed to define all methods inline; macro IMPLEMENT_STANDARD_EXCEPTION becomes obsolete.
    Macros IMPLEMENT_DOWNCAST, IMPLEMENT_STANDARD_* become deprecated, they are still defined (as empty) for compatibility.
    
    Implementation of Handle classes became fully inline.
    Method get() is added in Handle classes returning pointer to the contained object.
    
    RTTI removed from NCollection_Handle class.
    
    Standard_Persistent is made empty descendant of Standard_Transient, instead of implementing its own hierarchy with reference counting.
    Note that on CDL level it is still defined as inheriting Standard_Storable.
    
    Unused enumerations Standard_InternalType, Standard_WayOfLife, Standard_KindOfType are removed.
    Global function HashCode() accepting Handle(Standard_Transient) is removed; HashCode() for Standard_CString with length should be used instead.

Author: ski
Date: Tue Oct 14 14:42:38 2014 +0400

    Use new CDL features to import Standard_Type class and handle classes in Graphic3d

Author: ski
Date: Tue Oct 14 14:17:09 2014 +0400

    - delete "Storable" class from "Standard" package and all using of it

Author: ski
Date: Tue Oct 14 13:52:46 2014 +0400

    0025114: CMake-based build tools for OCCT 7.0
    
    Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits
(0033140)
git (administrator)
2014-10-15 15:26

Branch CR25114_2 has been updated forcibly by ski.

SHA-1: ba381de6eded9b833baea8ed97076396c58a4fbb
(0033147)
git (administrator)
2014-10-15 16:05

Branch CR25114_2 has been updated by apn.

SHA-1: 22728ca9f6f1fe3da65c22293c1830f9ad81a44e


Detailed log of new commits:

Author: apn
Date: Wed Oct 15 16:04:53 2014 +0400

    Modified folder adm/cmake and adm/templates, UDLIST, main CMakeLists.txt.
    Added CMakeLists.txt, deleted EXTERNLIB from packages.

(0033149)
git (administrator)
2014-10-15 16:48

Branch CR25114_2 has been updated by ski.

SHA-1: bd57fff0d1478c3f18e3295b17fba7f7afbc346e


Detailed log of new commits:

Author: ski
Date: Wed Oct 15 16:33:34 2014 +0400

    Automatic upgrade of code by command "occt_upgrade -rtti" from branch CR24816 part 2

(0033163)
git (administrator)
2014-10-15 18:08

Branch CR25114_2 has been updated by apn.

SHA-1: 2dd06151711a592ffb22fc473f0ba341495429ad


Detailed log of new commits:

Author: apn
Date: Wed Oct 15 18:08:26 2014 +0400

    Add support of VTK

(0033217)
git (administrator)
2014-10-16 15:34

Branch CR25114_2 has been updated by apn.

SHA-1: f58df0bc453973ce769c007ad9070329038584a9


Detailed log of new commits:

Author: apn
Date: Thu Oct 16 15:34:32 2014 +0400

    Correct compile errors.

(0033271)
git (administrator)
2014-10-17 17:40

Branch CR25114_2 has been updated by apn.

SHA-1: 427fb74ee1d0d9cd17057294ae704b56c3777d70


Detailed log of new commits:

Author: apn
Date: Fri Oct 17 17:38:02 2014 +0400

    Modified libraries and includes search of VTK product

(0033327)
git (administrator)
2014-10-20 14:04

Branch CR25114_2 has been updated by apn.

SHA-1: fa982dd619d38d0807349cfc4ec73e23ce42d273


Detailed log of new commits:

Author: apn
Date: Mon Oct 20 14:03:48 2014 +0400

    Modified search of dll for VTK

(0033348)
git (administrator)
2014-10-20 18:45

Branch CR25114_2 has been updated forcibly by apn.

SHA-1: 68c5c9973cf57ef057fcc60d5ef01fcb9b5c3d49
(0033388)
git (administrator)
2014-10-21 15:24

Branch CR25114_2 has been updated by apn.

SHA-1: 1d7ca06d703de7b9de327767c3ccea24b80b217d


Detailed log of new commits:

Author: apn
Date: Tue Oct 21 15:24:46 2014 +0400

    Modified install procedure for VTK.

(0034403)
git (administrator)
2014-11-13 18:47

Branch CR25114-3 has been created by apn.

SHA-1: 36b841285c23b6b0e00ce7cf946b42aec50f1cb6


Detailed log of new commits:

Author: apn
Date: Thu Nov 13 18:43:16 2014 +0300

    Fixed compilation errors

Author: apn
Date: Thu Nov 13 15:29:01 2014 +0300

    Cosmetic changes for VTK

Author: apn
Date: Thu Nov 13 15:18:33 2014 +0300

    Correct compile errors.

Author: apn
Date: Thu Nov 13 14:57:58 2014 +0300

    Modified folder adm/cmake and adm/templates, UDLIST, main CMakeLists.txt.
    Added CMakeLists.txt, deleted EXTERNLIB from packages.

Author: apn
Date: Thu Nov 13 14:39:02 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -rtti" from branch CR24816 for new files after -nocdl execution.

Author: apn
Date: Thu Nov 13 14:01:45 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -nocdl" from branch CR24816.

Author: apn
Date: Wed Nov 12 14:29:37 2014 +0300

    Package SortTools and its derived classes are removed; STL sort algorithms are used instead.
    Comparator objects are mostly reimplemented as local classes.

Author: apn
Date: Wed Nov 12 13:46:35 2014 +0300

    Forward declaration of TCollection instances as classes are replaced by inclusion of corresponding header.
    Cyclic dependencies between declaration of collection class and its item are resolved by forward declaring a class in collection header.

Author: apn
Date: Wed Nov 12 13:01:14 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -tcollection" from branch CR24816.

Author: apn
Date: Wed Nov 12 12:57:43 2014 +0300

    Remaining missing includes added manually

Author: apn
Date: Wed Nov 12 12:50:40 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -rtti -compat" from branch CR24816.
    Automatic upgrade of code by command "occt_upgrade -rtti" from branch CR24816.

Author: apn
Date: Wed Nov 12 12:41:02 2014 +0300

    Redesign OCCT legacy type system
    
    Global static functions instantiating RTTI descriptors for class types (used though STANDARD_TYPE macro) are replaced by template static method Instance() of the class Standard_Type.
    Implementation of RTTI is revised accordingly (global registry of type descriptors added to ensure single instance of each type descriptor shared by all dynamic libraries).
    Obsolete methods of Standard_Type class (IsInstance(), Ancestors()) are removed; new method Parent() is added returning type descriptor of the parent class.
    Class Standard_AncestorIterator is removed; this iteration can be easily done by recursive calls to Standard_Type::Parent().
    
    Definition of macro STANDARD_TYPE() moved from Standard_Macro.hxx to Standard_DefineHandle.hxx.
    Inclusion of Standard_Type.hxx and the class header is now necessary for use of method DownCast() and function STANDARD_TYPE() for the class.
    In general, Standard_Type.hxx should be included now instead of Standard_DefineHandle.hxx in places where these macros are used.
    
    Macro DEFINE_STANDARD_EXCEPTION changed to define all methods inline; macro IMPLEMENT_STANDARD_EXCEPTION becomes obsolete.
    Macros IMPLEMENT_DOWNCAST, IMPLEMENT_STANDARD_* become deprecated, they are still defined (as empty) for compatibility.
    
    Implementation of Handle classes became fully inline.
    Method get() is added in Handle classes returning pointer to the contained object.
    
    RTTI removed from NCollection_Handle class.
    
    Standard_Persistent is made empty descendant of Standard_Transient, instead of implementing its own hierarchy with reference counting.
    Note that on CDL level it is still defined as inheriting Standard_Storable.
    
    Unused enumerations Standard_InternalType, Standard_WayOfLife, Standard_KindOfType are removed.
    Global function HashCode() accepting Handle(Standard_Transient) is removed; HashCode() for Standard_CString with length should be used instead.

Author: apn
Date: Wed Nov 12 11:33:03 2014 +0300

    Use new CDL features to import Standard_Type class and handle classes in Graphic3d

Author: apn
Date: Tue Nov 11 16:27:36 2014 +0300

    Delete "Storable" class from "Standard" package and all using of it

Author: apn
Date: Tue Nov 11 15:53:32 2014 +0300

    0025114: CMake-based build tools for OCCT 7.0
    
    Remove standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits.
(0034404)
git (administrator)
2014-11-13 18:58

Branch CR25114_3 has been created by apn.

SHA-1: 36b841285c23b6b0e00ce7cf946b42aec50f1cb6


No new revisions were added by this update.
(0034423)
git (administrator)
2014-11-14 15:54

Branch CR25114-3 has been deleted by inv.

SHA-1: 36b841285c23b6b0e00ce7cf946b42aec50f1cb6
(0034424)
git (administrator)
2014-11-14 15:57

Branch CR25114_3 has been updated by apn.

SHA-1: f8086efe0e679a215ea9843403416f18c1d41d0d


Detailed log of new commits:

Author: apn
Date: Fri Nov 14 15:56:37 2014 +0300

    Added installation of zlib1.dll for TCL

(0034507)
git (administrator)
2014-11-19 13:43

Branch CR25114_3 has been updated by ski.

SHA-1: fc7c8e80d754f8d070416a93f36970eedc24f025


Detailed log of new commits:

Author: ski
Date: Wed Nov 19 13:43:33 2014 +0300

    Install procedure in Debug configuration is done to correct directories.

(0034511)
git (administrator)
2014-11-19 15:04

Branch CR25114_3 has been updated forcibly by ski.

SHA-1: 4dbbfa1c56cf4ca8482bd6191134b6004125ce53
(0035281)
git (administrator)
2014-12-10 18:23

Branch CR25114_3 has been updated by ski.

SHA-1: 1d56b7b56e189afe00eb2b37958a3991e6a64f60


Detailed log of new commits:

Author: ski
Date: Wed Dec 10 18:23:44 2014 +0300

    Install procedure is done to common directory INSTALL_DIR/OS_WITH_BIT/COMPILER

(0035707)
git (administrator)
2014-12-25 12:11

Branch CR25114_3 has been updated by ski.

SHA-1: 79382f57c5727d28712f41822ac2e461b154f68f


Detailed log of new commits:

Author: ski
Date: Thu Dec 25 12:10:47 2014 +0300

    Compilation on linux fixed.

(0035760)
git (administrator)
2014-12-26 15:29

Branch CR25114_4 has been created by ski.

SHA-1: 73a117f3a651f305f3ef6a722f4d390ac0e7a498


Detailed log of new commits:

Author: ski
Date: Fri Dec 26 15:16:00 2014 +0300

    Fixed compile errors.

Author: ski
Date: Fri Dec 26 12:14:59 2014 +0300

    Files were changed for new cmake procedure.

Author: ski
Date: Fri Dec 26 11:56:01 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -nocdl"

Author: abv
Date: Mon Jun 2 09:55:19 2014 +0400

    0024859: Replace SortTools by STL equivalents
    
    Package SortTools and its derived classes are removed; STL sort algorithms are used instead.
    Comparator objects are mostly reimplemented as local classes.

Author: abv
Date: Mon Jun 2 10:08:25 2014 +0400

    0024750: Replace instantiations of TCollection generic classes by NCollection templates -- manual changes
    
    Forward declaration of TCollection instances as classes are replaced by inclusion of corresponding header.
    Cyclic dependencies between declaration of collection class and its item are resolved by forward declaring a class in collection header.

Author: ski
Date: Fri Dec 26 11:05:45 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -tcollection"

Author: abv
Date: Thu Aug 14 17:20:14 2014 +0400

    0024947: Redesign OCCT legacy type system -- final corrections
    
    Remaining missing includes added manually

Author: ski
Date: Fri Dec 26 10:31:48 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -rtti"

Author: ski
Date: Fri Dec 26 10:26:25 2014 +0300

    Automatic upgrade of code by command "occt_upgrade -rtti -compat"

Author: abv
Date: Wed May 28 09:19:45 2014 +0400

    0024947: Redesign OCCT legacy type system
    
    Global static functions instantiating RTTI descriptors for class types (used though STANDARD_TYPE macro) are replaced by template static method Instance() of the class Standard_Type.
    Implementation of RTTI is revised accordingly (global registry of type descriptors added to ensure single instance of each type descriptor shared by all dynamic libraries).
    Obsolete methods of Standard_Type class (IsInstance(), Ancestors()) are removed; new method Parent() is added returning type descriptor of the parent class.
    Class Standard_AncestorIterator is removed; this iteration can be easily done by recursive calls to Standard_Type::Parent().
    
    Definition of macro STANDARD_TYPE() moved from Standard_Macro.hxx to Standard_DefineHandle.hxx.
    Inclusion of Standard_Type.hxx and the class header is now necessary for use of method DownCast() and function STANDARD_TYPE() for the class.
    In general, Standard_Type.hxx should be included now instead of Standard_DefineHandle.hxx in places where these macros are used.
    
    Macro DEFINE_STANDARD_EXCEPTION changed to define all methods inline; macro IMPLEMENT_STANDARD_EXCEPTION becomes obsolete.
    Macros IMPLEMENT_DOWNCAST, IMPLEMENT_STANDARD_* become deprecated, they are still defined (as empty) for compatibility.
    
    Implementation of Handle classes became fully inline.
    Method get() is added in Handle classes returning pointer to the contained object.
    
    RTTI removed from NCollection_Handle class.
    
    Standard_Persistent is made empty descendant of Standard_Transient, instead of implementing its own hierarchy with reference counting.
    Note that on CDL level it is still defined as inheriting Standard_Storable.
    
    Unused enumerations Standard_InternalType, Standard_WayOfLife, Standard_KindOfType are removed.
    Global function HashCode() accepting Handle(Standard_Transient) is removed; HashCode() for Standard_CString with length should be used instead.

Author: ski
Date: Thu Dec 25 18:25:55 2014 +0300

    Fixed compile error.

Author: kgv
Date: Fri Mar 28 10:56:16 2014 +0400

    0024769: Extend CDL syntax with "imported transient class" keyword
    
    Use new CDL features to import Standard_Type class and handle classes in Graphic3d

Author: dln
Date: Fri Aug 15 10:03:58 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Storable
    
    - delete "Storable" class from "Standard" package and all using of it

Author: abv
Date: Wed Jun 4 12:12:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- toolkits
    
    Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits
(0035768)
git (administrator)
2014-12-26 16:45

Branch CR25114_4 has been updated forcibly by ski.

SHA-1: f8ab7f4e0f145910c5783b9593670d934ae2c71b
(0035812)
git (administrator)
2014-12-27 12:50

Branch CR25114_4 has been updated forcibly by ski.

SHA-1: f5975075b8ed080ee38e1e386ae307c233c616dd
(0035814)
git (administrator)
2014-12-27 14:19

Branch CR25114_4 has been updated forcibly by ski.

SHA-1: 5e9e2a94a71486870c9cc72597c244232e5e226f
(0035832)
git (administrator)
2014-12-29 14:16

Branch CR25114_4 has been updated forcibly by ski.

SHA-1: c30ebb38c71db3e03f604ee83fb42171f039411c
(0035835)
git (administrator)
2014-12-29 16:05

Branch CR25114_4 has been updated by apn.

SHA-1: 805537a6d000255340532335b149dadf82e7c9c6


Detailed log of new commits:

Author: apn
Date: Mon Dec 29 16:05:13 2014 +0300

    Modified standard mfc samples to compile its by cmake

(0035881)
git (administrator)
2014-12-30 13:00

Branch CR25114_4 has been updated forcibly by apn.

SHA-1: fadfb94c7c6e8b5434fa511224b65a82d7ad518e
(0035888)
git (administrator)
2014-12-30 14:11

Branch CR25114_4 has been updated forcibly by apn.

SHA-1: d343dc6e36b5c617848b074afec8537c6c48ffcd
(0036111)
git (administrator)
2015-01-15 16:07

Branch CR25114_4 has been updated by ssv.

SHA-1: a5d6be21eef72ae943dfaa41e8f17ef221848839


Detailed log of new commits:

Author: ssv
Date: Thu Jan 15 16:05:22 2015 +0300

    DownCast() method of NCollection_Handle has been slightly changed to call constructor for Ptr* argument explicitly. Without this there is a compilation error on template instantiation

(0036438)
ssv (developer)
2015-01-23 14:26

Let me share new bunch of problems with CMake. I think it is convenient to take care of them in this branch. All problems are also described in the attached overview.pdf document.

1. It is not possible to launch Draw from working build directory. For development
   needs it is inconvenient to re-install OCCT each time you want to launch
   Draw;

2. There is a problem with using single installation directory for both
   debug and release configurations. While binaries are packed correctly
   (into proper subdirectories), the environment scripts are overwritten
   after installation, so that only the last deployed configuration can be used.
   It is necessary to rework the environment scripts taking into account two
   constraints:

   a) custom.bat(sh) should become a place where user can set up default
      configuration. If no configuration arguments are passed (e.g. when
      launching Draw or IDE), the default values are implicitly used;
   b) env.bat(sh) should be kept the same for both debug and release configuration.
      Currently it differs because of default initializations;

   Example of environment scripts fitting these constraints is attached to the
   bug (env.zip): directory "old" contains CMake-generated version which is
   not good; directory "new" contains the manually reworked version of scripts
   which seems to work well. It is necessary to review the proposed approach,
   automate it with CMake and make sure that it is adequately documented in
   the "Building with CMake" manual (check out the attached overview.pdf).

3. After installation in release mode, environment file with name custom_{IDE}_{arch}_.bat(sh)
   appears. The trailing underscore ("_") character in its name looks weird and is better
   to be removed;

4. GUI hints (tooltips) for CMake variables should be carefully revised. It is
   proposed to reuse descriptions for the attached overview.pdf document;

5. CMake variable TESTS_RUN looks weird. It is better to rename it, e.g. to
   TESTS_CREATE_PROJECT and update tooltip and documentation (overview.pdf)
   correspondingly;

6. Once the tests are launched from IDE using START_TESTS project, a directory
   with name "TestResults" appears. This directory is different from the standard
   one which is used when non-regression tests are executed from Draw: "results"
   directory with temporary subdirectories. It is necessary to unify this behavior.
   I.e. if user builds START_TESTS project, the results should be completely
   identical to typing "testgrid" in Draw console;

7. It is necessary to check if BUILD_TOOLKITS functionality works at all. E.g.
   after typing TKFillet or even TKernel I obtained just empty MSVC solution;

8. It is necessary to check if BUILD_MFC_SAMPLES functionality works. I was
   not able to build the generated MSVC solution because of linkage errors in
   samples;

9. If user disables build for all modules except one, problems may arise. I tried
   to keep only Modeling Algorithms module unchecking all others. As a result
   MSVC solution contained only this module without its dependencies (no TKernel etc
   appeared in solution). Compilation was impossible: build errors occurred;

10. All DOC* variables should be removed from CMake. It was decided that configuration
    is a bad stage for generating documentation;

11. Overview documentation should be available from IDE via specific project
    (probably it is already done?).

12. Patching functionality (#24810) does not work.
(0036452)
git (administrator)
2015-01-23 16:22

Branch CR25114_4 has been updated by ibs.

SHA-1: 6efaedaa6c43f53ea1c4b651585ee5f2396ee89f


Detailed log of new commits:

Author: ibs
Date: Fri Jan 23 16:22:00 2015 +0300

    environment scripts (custom.sh/bat) are NOT overwritten after installation.

(0036453)
git (administrator)
2015-01-23 16:24

Branch CR25114_4 has been updated by ibs.

SHA-1: 66671785826393a6737d7891001b1470f60a0290


Detailed log of new commits:

Author: ibs
Date: Fri Jan 23 16:24:51 2015 +0300

    CMAKE_MFC_FLAG removed from main CMakeLists.txt

(0036456)
git (administrator)
2015-01-23 17:19

Branch CR25114_4 has been updated by ibs.

SHA-1: 95664a0f1558dc97d340cd39c126c3db4d29a0bc


Detailed log of new commits:

Author: ibs
Date: Fri Jan 23 17:19:38 2015 +0300

    correct including of used toolkit cmake-projects

(0036468)
ibs (developer)
2015-01-23 18:27

dear apn and ski,

USED_TOOLKITS also contains CSF_ constants
(0036469)
git (administrator)
2015-01-23 18:28

Branch CR25114_4 has been updated by ibs.

SHA-1: 1b848dd92c1e68273f54f2683593fff8a4093a7c


Detailed log of new commits:

Author: ibs
Date: Fri Jan 23 18:26:55 2015 +0300

    code cleaned up

(0036470)
git (administrator)
2015-01-23 18:29

Branch CR25114_4 has been updated by ibs.

SHA-1: 84b592f3fb78aa8d78be1077104c9dc98a5144f3


Detailed log of new commits:

Author: ibs
Date: Fri Jan 23 18:29:47 2015 +0300

    occt_getdoc.cmake renamed in occt_gendoc.cmake

(0036471)
ibs (developer)
2015-01-23 18:33

dear ssv,
2,8,9, 12 problems are fixed and required to be tested
(0036505)
git (administrator)
2015-01-26 12:28

Branch CR25114_4 has been updated by ibs.

SHA-1: 6681311de8218dab28ed9ce476893c3a1237c6be


Detailed log of new commits:

Author: ibs
Date: Mon Jan 26 12:26:43 2015 +0300

    unset 3rdparty variables if it is not used

(0036678)
git (administrator)
2015-01-26 19:17

Branch CR25114_4 has been updated by ibs.

SHA-1: 9755ea68672c9793f56fddd9e16bd9ed8299f524


Detailed log of new commits:

Author: ibs
Date: Mon Jan 26 14:55:28 2015 +0300

    a toolkit dependencies is accumulated correctly

(0036681)
git (administrator)
2015-01-26 19:34

Branch CR25114_4 has been updated forcibly by ibs.

SHA-1: 2804f43e7614464d1431ddef718b6e6a7239ac93
(0036697)
ibs (developer)
2015-01-27 12:06

dear ski,

mfc samples include headers from <occt>/src directory (not <occt>/inc), e.g.
  #include <Standard/Standard_ShortReal.hxx>
not
  #include <Standard_ShortReal.hxx>

due to this behavior the samples are not compiled. could you please update the cmake projects of the samples to solve this issue?

the last changes implemented in CR25114_4 branch

steps:
1. get CR25114_4
2. generate vc10 project (all modules and samples included into it)
3. build the generated vc10 project
(0036708)
git (administrator)
2015-01-27 14:29

Branch CR25114_4 has been updated by ski.

SHA-1: a4196e9d7e646f6290d7b21bca80aff7190deaef


Detailed log of new commits:

Author: ski
Date: Tue Jan 27 14:29:05 2015 +0300

    Added src directory to include directories for mfc samples projects

(0036743)
git (administrator)
2015-01-28 10:23

Branch CR25114_4 has been updated by ibs.

SHA-1: fcd6b9c69bbb1cad73910468f454698ff6af746d


Detailed log of new commits:

Author: ibs
Date: Wed Jan 28 10:23:27 2015 +0300

    underscore removed from the release name of specific "custom" script
    
    was: custom_{IDE}_{arch}_.bat(sh)
    now: custom_{IDE}_{arch}.bat(sh)

(0036779)
ibs (developer)
2015-01-28 17:17
edited on: 2015-01-28 17:18

dear ski,
0025713 issue introduces occt static build (excluding DRAWEXE). Could you integrate/port this functionality into this issue (0025114).

(0036808)
git (administrator)
2015-01-29 12:56

Branch CR25114_4 has been updated by ski.

SHA-1: 49ece6ccf330c340a0ec2311dfa9e8e9d27f807e


Detailed log of new commits:

Author: ski
Date: Thu Jan 29 12:56:29 2015 +0300

    Explicit specification of library type (static/shared) removed
    
    DRAWEXE excluded when library build is static

(0036828)
ski (developer)
2015-01-29 15:03
edited on: 2015-01-29 15:04

Changes from issue 0025713 were ported into this issue (0025114):
  - Explicit specification of library type (static/shared) removed
  - DRAWEXE excluded when library build is static

This issue (0025114) was build is static and shared modes:
  - static - DRAWEXE project is excluded, *.dll and *.exe files (occt) are not created
  - shared - as usual build, draw.bat can be started, "testgrid" command works

(0037269)
ibs (developer)
2015-02-10 11:32

dear ski,

building process of visual studio puts libraries into <build dir>\out\bin\Release . please change the place with <build dir>/<os_with_bitness>/<compiler>\bin . The tail of the path is the same as the tail of installation path of release version: <install dir>/<os_with_bitness>/<compiler>/bin

It'is required to offer the possibility for a developer to run occt project and draw without installation (ssv request above)

ssv said:
>1. It is not possible to launch Draw from working build
>directory. For development needs it is inconvenient
>to re-install OCCT each time you want to launch Draw;
(0037306)
git (administrator)
2015-02-10 17:27

Branch CR25114_4 has been updated by ski.

SHA-1: 6084076ae7fe68cf6ea614847dede1869dff63ed


Detailed log of new commits:

Author: ski
Date: Tue Feb 10 17:27:22 2015 +0300

    Temporary directory to store binaries and libraries during build process was changed.

(0037325)
git (administrator)
2015-02-10 19:04

Branch CR25114_4 has been updated by ibs.

SHA-1: 7b4d73dd97defbc75ff7cb5e43170a22372ca577


Detailed log of new commits:

Author: ibs
Date: Tue Feb 10 18:55:18 2015 +0300

    var names cleaned up

(0037363)
git (administrator)
2015-02-11 16:07

Branch CR25114_4 has been updated by ski.

SHA-1: 4342345edd86c685dc7b84cca2e925ebb2161795


Detailed log of new commits:

Author: ski
Date: Wed Feb 11 16:07:06 2015 +0300

    Added possibility to start draw.bat/sh from temporary build directory.

(0037369)
git (administrator)
2015-02-11 17:40

Branch CR25114_4 has been updated forcibly by ski.

SHA-1: f2568573ed4eae6c12f6614c8709c1a5441498fb
(0037370)
ski (developer)
2015-02-11 17:45

It is possible to launch Draw from working build directory now.
(0037440)
ibs (developer)
2015-02-12 15:06

dear ski,

all works great. could you please do some extra changes:

1. copy samples.bat also if BUILD_MFC_SAMPLES is checked

2. if, for example, INSTALL_FREETYPE checked, custom_{compiler}_{bitness}.bat will contain empty FREETYPE_DIR variable.
This behavior is correct for install folder but in build folder FREETYPE_DIR variable should not be empty.
For example, additional custom_{compiler}_{bitnes}.build.bat may be created and used by main custom.bat

3. the OCCT resources may be used from the root of OCCT, without copping they into build folder.
In this case, env.bat should be fixed:
  a. set CASROOT to real the root of OCCT
  b. correct PATH var: set "PATH=<CMAKE_BUILD_DIR>/%BIN_TAIL%;%PATH%"

may be i could miss something in the scripts logic
(0037565)
git (administrator)
2015-02-16 12:31

Branch CR25114_4 has been updated by ski.

SHA-1: de684639de7e7b8bc2274498fe1c91423000de11


Detailed log of new commits:

Author: ski
Date: Mon Feb 16 12:31:21 2015 +0300

    Copy samples.bat also if BUILD_MFC_SAMPLES is checked

(0037932)
git (administrator)
2015-02-26 17:46

Branch CR25114_4 has been updated forcibly by ski.

SHA-1: cabb00ec6cdb0749f92c90398c3aad7003b8d266
(0037936)
ski (developer)
2015-02-26 19:05

It is possible to launch Draw from working build directory.
All necessary files (bat/sh) are copied to working build directory.

(0042107)
git (administrator)
2015-06-11 14:37

Branch CR25114_4 has been updated by ski.

SHA-1: 9dc8dfd386d3d097f2f7fe7fe3b31c68859a098e


Detailed log of new commits:

Author: ski
Date: Thu Jun 11 14:37:14 2015 +0300

    Using installed 3rdparty libraries

(0042149)
git (administrator)
2015-06-15 14:30

Branch CR25114_4 has been updated by ski.

SHA-1: a3f815fdff12fb94b8d8997c3dce557c0af13e85


Detailed log of new commits:

Author: ski
Date: Mon Jun 15 14:25:50 2015 +0300

    Corrected search procedure for tbb libraries on Linux

(0042165)
git (administrator)
2015-06-16 13:44

Branch CR25114_4 has been updated by ski.

SHA-1: bdb9844a9181eeb96ab87fbb3c5a97e7dc72f28b


Detailed log of new commits:

Author: ski
Date: Tue Jun 16 09:41:22 2015 +0300

    Added possibility to install samples sources.

(0042517)
git (administrator)
2015-06-28 21:45

Branch CR25114_4_fix_inc has been created by abv.

SHA-1: 6e184fd2d57a07ec390ee1cf0e8243d3414cb831


Detailed log of new commits:

Author: abv
Date: Sun Mar 15 19:50:11 2015 +0300

    Correct path to includes in CMake scripts
(0042571)
abv (manager)
2015-06-29 20:37
edited on: 2015-06-29 20:42

I have tried current version (branch CR0-OCCT7-2015) and experienced several problems:

1. I run on Win 74 64-bit and have 64-bit TclTk installed in d:/DevTools/Tcltk (this Tcl is in PATH); 32-bit version is unpacked in folder d:/abv/occt/3rdparty which I use for other 3rdparty libs required for OCCT. Until I specify PRODUCT_PATH for CMake, it finds 64-bit TclTk correctly, but as soon as I specify it, it takes 32-bit Tcltk, even for 64-bit build. Can this be corrected?

2. Running of DRAW from MSVC doe not work (paths are not set)

3. draw.bat does not start: no paths to FreeImage

4. Install does not work:

1> CMake Error at cmake_install.cmake:54 (file):
1> file INSTALL cannot find "D:/DevTools/TclTk85/bin/zlib1.dll".

(At that point I disabled install of Tcl to continue)

5. Install produces message "up-to-date" for every file (header, test, etc.), which is annoying. Can this be suppressed (optimally we can use VS parameter indicating verbosity for builds)?

6. When DRAW is launched, it produces error message:

tkLoop: error in Tk initialization. Tcl reported: invalid command name "tcl_find
Library"

and some features are missing (no command completion, command testgrid fails saying "invalid command name "clock"", etc.)

(0042610)
git (administrator)
2015-06-30 17:57

Branch CR25114_4 has been updated by ibs.

SHA-1: a87975b7ea2ac9077897c66f4538cfabe20046b4


Detailed log of new commits:

Author: ibs
Date: Tue Jun 30 17:54:32 2015 +0300

    collect all OCCT header files in <binary dir>/inc during cmake configuration process

(0042615)
git (administrator)
2015-06-30 18:51

Branch CR25114_4 has been updated by ibs.

SHA-1: ebddb0555b29e999c71edf8b5d4400be21bd6899


Detailed log of new commits:

Author: ibs
Date: Tue Jun 30 18:50:02 2015 +0300

    OCCT header files copied just to inc directory of an installation folder. (header files grouping removed)

(0042632)
git (administrator)
2015-07-01 11:36

Branch CR25114_4 has been updated by ibs.

SHA-1: b9f32b4e6bbc3eb91133215d94ddb10e25186099


Detailed log of new commits:

Author: ibs
Date: Wed Jul 1 11:35:50 2015 +0300

    tcl samples are installed to correct place in install folder

(0042633)
git (administrator)
2015-07-01 12:32

Branch CR25114_4 has been updated by ibs.

SHA-1: f33fdaae0c5ce4cd340d69c06071b49f690fcce4


Detailed log of new commits:

Author: ibs
Date: Wed Jul 1 12:30:11 2015 +0300

    tcl installation procedure installs all dlls found in tcl bin folder (for win)
    
    this approach takes into account installing of zlib library that may be located in tcl bin folder

(0042693)
abv (manager)
2015-07-03 06:56

CMake 3.2.3 gives the following warnings on version in branch CR0-IR-OCCT7-alpha2:

****

Info: Collecting all OCCT header files into D:/ABV/OCCT/occt700/work/vc10-win64-release/inc ...
CMake Warning (dev) at CMakeLists.txt:415 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation. Run "cmake --help-policy CMP0053" for policy details. Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${3RDPARTY_DLL_DIRS_FOR_PATH};@3RDPARTY_DLL_DIR@'

  the old evaluation rules produce:

    ';D:/DevTools/TclTk85/bin'

  but the new evaluation rules produce:

    ';@3RDPARTY_DLL_DIR@'

  Using the old result for compatibility since the policy is not set.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:415 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation. Run "cmake --help-policy CMP0053" for policy details. Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${3RDPARTY_DLL_DIRS_FOR_PATH};@3RDPARTY_DLL_DIR@'

  the old evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin'

  but the new evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;@3RDPARTY_DLL_DIR@'

  Using the old result for compatibility since the policy is not set.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:415 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation. Run "cmake --help-policy CMP0053" for policy details. Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${3RDPARTY_DLL_DIRS_FOR_PATH};@3RDPARTY_DLL_DIR@'

  the old evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin'

  but the new evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;@3RDPARTY_DLL_DIR@'

  Using the old result for compatibility since the policy is not set.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:415 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation. Run "cmake --help-policy CMP0053" for policy details. Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${3RDPARTY_DLL_DIRS_FOR_PATH};@3RDPARTY_DLL_DIR@'

  the old evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin;D:/ABV/OCCT/3rdparty/freeimage-vc10-64/bin'

  but the new evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin;@3RDPARTY_DLL_DIR@'

  Using the old result for compatibility since the policy is not set.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:415 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation. Run "cmake --help-policy CMP0053" for policy details. Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${3RDPARTY_DLL_DIRS_FOR_PATH};@3RDPARTY_DLL_DIR@'

  the old evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin;D:/ABV/OCCT/3rdparty/freeimage-vc10-64/bin;D:/ABV/OCCT/3rdparty/gl2ps-1.3.8-vc10-64/bin'

  but the new evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin;D:/ABV/OCCT/3rdparty/freeimage-vc10-64/bin;@3RDPARTY_DLL_DIR@'

  Using the old result for compatibility since the policy is not set.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:415 (set):
  Policy CMP0053 is not set: Simplify variable reference and escape sequence
  evaluation. Run "cmake --help-policy CMP0053" for policy details. Use the
  cmake_policy command to set the policy and suppress this warning.

  For input:

    '${3RDPARTY_DLL_DIRS_FOR_PATH};@3RDPARTY_DLL_DIR@'

  the old evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin;D:/ABV/OCCT/3rdparty/freeimage-vc10-64/bin;D:/ABV/OCCT/3rdparty/gl2ps-1.3.8-vc10-64/bin;D:/ABV/OCCT/3rdparty/tbb42_20130725oss/bin/intel64/vc10'

  but the new evaluation rules produce:

    ';D:/DevTools/TclTk85/bin;D:/ABV/OCCT/3rdparty/freetype-2.5.3-vc10-64/bin;D:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64/bin;D:/ABV/OCCT/3rdparty/freeimage-vc10-64/bin;D:/ABV/OCCT/3rdparty/gl2ps-1.3.8-vc10-64/bin;@3RDPARTY_DLL_DIR@'

  Using the old result for compatibility since the policy is not set.
This warning is for project developers. Use -Wno-dev to suppress it.

*****

One more point is: if not all OCCT modules are being built. perhaps only headers belonging to the selected toolkits should be installed
(0043265)
abv (manager)
2015-07-22 07:57

Considered as fixed, integrated to master
(0043266)
git (administrator)
2015-07-22 07:57

Branch CR25114_4_fix_inc has been deleted by abv.

SHA-1: 6e184fd2d57a07ec390ee1cf0e8243d3414cb831
(0043280)
git (administrator)
2015-07-22 10:54

Branch CR25114_4 has been deleted by ibs.

SHA-1: f33fdaae0c5ce4cd340d69c06071b49f690fcce4
(0043313)
git (administrator)
2015-07-22 16:50

Branch CR25114 has been deleted by abv.

SHA-1: 4b71a3c086f81e6f02dfe45f65a2f4b760f1937b
(0043560)
git (administrator)
2015-07-27 14:09

Branch CR25114_1 has been deleted by kgv.

SHA-1: 6784aedc3da11e7390308da8ae3f1e9cb4873356
(0043561)
git (administrator)
2015-07-27 14:09

Branch CR25114_2 has been deleted by kgv.

SHA-1: 1d7ca06d703de7b9de327767c3ccea24b80b217d
(0047060)
git (administrator)
2015-10-16 16:57

Branch CR25114_3 has been deleted by kgv.

SHA-1: 79382f57c5727d28712f41822ac2e461b154f68f

- Related Changesets
occt: master 19286d7c
Timestamp: 2015-07-02 15:17:54
Author: abv
Committer: abv
Details ] Diff ]
0025114: CMake-based build tools for OCCT 7.0

All CMake meta-projects for OCCT are put to OCCT code (including fragments previously generated by WOK).

"/bigobj" compiler flag added to TKQADraw because of the size of its object file

[GeomToStep & Graphic3d] private headers are included from current dir of including source file
mod - .gitignore Diff ] File ]
add - adm/cmake/BuildToolkit.cmake Diff ] File ]
add - adm/cmake/occt_gendoc.cmake Diff ] File ]
add - adm/cmake/occt_macros.cmake Diff ] File ]
add - adm/MODULES Diff ] File ]
add - adm/RESOURCES Diff ] File ]
mod - adm/templates/custom.bat.in Diff ] File ]
mod - adm/templates/custom.sh.in Diff ] File ]
mod - adm/templates/draw.bat Diff ] File ]
add - adm/templates/env.build.bat.in Diff ] File ]
add - adm/templates/env.build.sh.in Diff ] File ]
rm - adm/templates/occt_macros.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/01_Geometry/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/02_Modeling/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/08_HLR/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/09_Animation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/10_Convert/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]
rm - src/Aspect/EXTERNLIB Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
rm - src/BRepMesh/EXTERNLIB Diff ] File ]
mod - src/BRepMesh/FILES Diff ] File ]
rm - src/CDF/EXTERNLIB Diff ] File ]
mod - src/CDF/FILES Diff ] File ]
rm - src/Cocoa/EXTERNLIB Diff ] File ]
mod - src/Cocoa/FILES Diff ] File ]
rm - src/DDataStd/EXTERNLIB Diff ] File ]
mod - src/DDataStd/FILES Diff ] File ]
rm - src/Draw/EXTERNLIB Diff ] File ]
mod - src/Draw/FILES Diff ] File ]
add - src/DRAWEXE/CMakeLists.txt Diff ] File ]
rm - src/Font/EXTERNLIB Diff ] File ]
mod - src/Font/FILES Diff ] File ]
add - src/FWOSPlugin/CMakeLists.txt Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeAxis1Placement.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBSplineCurveWithKnots.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeCircle.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeEllipse.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeLine.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakePolyline.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeVector.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.pxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
rm - src/Image/EXTERNLIB Diff ] File ]
mod - src/Image/FILES Diff ] File ]
rm - src/IVtkDraw/EXTERNLIB Diff ] File ]
mod - src/IVtkDraw/FILES Diff ] File ]
rm - src/IVtkTools/EXTERNLIB Diff ] File ]
mod - src/IVtkTools/FILES Diff ] File ]
rm - src/IVtkVTK/EXTERNLIB Diff ] File ]
mod - src/IVtkVTK/FILES Diff ] File ]
rm - src/OpenGl/EXTERNLIB Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
rm - src/OSD/EXTERNLIB Diff ] File ]
mod - src/OSD/FILES Diff ] File ]
rm - src/QABugs/EXTERNLIB Diff ] File ]
mod - src/QABugs/FILES Diff ] File ]
rm - src/QADraw/EXTERNLIB Diff ] File ]
mod - src/QADraw/FILES Diff ] File ]
rm - src/Standard/EXTERNLIB Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
rm - src/STEPConstruct/EXTERNLIB Diff ] File ]
mod - src/STEPConstruct/FILES Diff ] File ]
add - src/TKBin/CMakeLists.txt Diff ] File ]
add - src/TKBinL/CMakeLists.txt Diff ] File ]
add - src/TKBinTObj/CMakeLists.txt Diff ] File ]
add - src/TKBinXCAF/CMakeLists.txt Diff ] File ]
add - src/TKBO/CMakeLists.txt Diff ] File ]
add - src/TKBool/CMakeLists.txt Diff ] File ]
add - src/TKBRep/CMakeLists.txt Diff ] File ]
add - src/TKCAF/CMakeLists.txt Diff ] File ]
add - src/TKCDF/CMakeLists.txt Diff ] File ]
add - src/TKDCAF/CMakeLists.txt Diff ] File ]
add - src/TKDraw/CMakeLists.txt Diff ] File ]
add - src/TKernel/CMakeLists.txt Diff ] File ]
add - src/TKFeat/CMakeLists.txt Diff ] File ]
add - src/TKFillet/CMakeLists.txt Diff ] File ]
add - src/TKG2d/CMakeLists.txt Diff ] File ]
add - src/TKG3d/CMakeLists.txt Diff ] File ]
add - src/TKGeomAlgo/CMakeLists.txt Diff ] File ]
add - src/TKGeomBase/CMakeLists.txt Diff ] File ]
add - src/TKHLR/CMakeLists.txt Diff ] File ]
add - src/TKIGES/CMakeLists.txt Diff ] File ]
add - src/TKIVtk/CMakeLists.txt Diff ] File ]
add - src/TKIVtkDraw/CMakeLists.txt Diff ] File ]
add - src/TKLCAF/CMakeLists.txt Diff ] File ]
add - src/TKMath/CMakeLists.txt Diff ] File ]
add - src/TKMesh/CMakeLists.txt Diff ] File ]
add - src/TKMeshVS/CMakeLists.txt Diff ] File ]
add - src/TKOffset/CMakeLists.txt Diff ] File ]
add - src/TKOpenGl/CMakeLists.txt Diff ] File ]
add - src/TKPrim/CMakeLists.txt Diff ] File ]
add - src/TKQADraw/CMakeLists.txt Diff ] File ]
add - src/TKService/CMakeLists.txt Diff ] File ]
add - src/TKShHealing/CMakeLists.txt Diff ] File ]
add - src/TKSTEP/CMakeLists.txt Diff ] File ]
add - src/TKSTEP209/CMakeLists.txt Diff ] File ]
add - src/TKSTEPAttr/CMakeLists.txt Diff ] File ]
add - src/TKSTEPBase/CMakeLists.txt Diff ] File ]
add - src/TKSTL/CMakeLists.txt Diff ] File ]
add - src/TKTObj/CMakeLists.txt Diff ] File ]
add - src/TKTObjDRAW/CMakeLists.txt Diff ] File ]
add - src/TKTopAlgo/CMakeLists.txt Diff ] File ]
add - src/TKTopTest/CMakeLists.txt Diff ] File ]
add - src/TKV3d/CMakeLists.txt Diff ] File ]
add - src/TKViewerTest/CMakeLists.txt Diff ] File ]
add - src/TKVoxel/CMakeLists.txt Diff ] File ]
add - src/TKVRML/CMakeLists.txt Diff ] File ]
add - src/TKXCAF/CMakeLists.txt Diff ] File ]
add - src/TKXDEDRAW/CMakeLists.txt Diff ] File ]
add - src/TKXDEIGES/CMakeLists.txt Diff ] File ]
add - src/TKXDESTEP/CMakeLists.txt Diff ] File ]
add - src/TKXMesh/CMakeLists.txt Diff ] File ]
add - src/TKXml/CMakeLists.txt Diff ] File ]
add - src/TKXmlL/CMakeLists.txt Diff ] File ]
add - src/TKXmlTObj/CMakeLists.txt Diff ] File ]
add - src/TKXmlXCAF/CMakeLists.txt Diff ] File ]
add - src/TKXSBase/CMakeLists.txt Diff ] File ]
add - src/TKXSDRAW/CMakeLists.txt Diff ] File ]
rm - src/V3d/EXTERNLIB Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
rm - src/ViewerTest/EXTERNLIB Diff ] File ]
mod - src/ViewerTest/FILES Diff ] File ]
rm - src/Visual3d/EXTERNLIB Diff ] File ]
mod - src/Visual3d/FILES Diff ] File ]
rm - src/Xw/EXTERNLIB Diff ] File ]
mod - src/Xw/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-30 19:30 abv New Issue
2014-07-30 19:30 abv Assigned To => bugmaster
2014-07-30 19:31 abv Assigned To bugmaster => apn
2014-07-30 19:31 abv Status new => assigned
2014-07-31 11:43 git Note Added: 0030502
2014-07-31 11:43 apn Note Added: 0030503
2014-07-31 11:44 apn Assigned To apn => abv
2014-07-31 14:00 git Note Added: 0030508
2014-07-31 17:43 git Note Added: 0030513
2014-08-01 11:13 git Note Added: 0030516
2014-08-01 11:22 git Note Added: 0030518
2014-08-05 12:17 git Note Added: 0030570
2014-08-11 11:04 git Note Added: 0030647
2014-08-14 10:59 git Note Added: 0030741
2014-08-14 15:13 git Note Added: 0030750
2014-08-14 17:22 git Note Added: 0030756
2014-08-14 18:58 git Note Added: 0030757
2014-08-15 14:55 git Note Added: 0030785
2014-08-15 18:03 git Note Added: 0030799
2014-08-19 12:58 git Note Added: 0030876
2014-08-19 13:57 git Note Added: 0030877
2014-08-21 12:01 git Note Added: 0030984
2014-08-21 18:58 ibs Relationship added related to 0025140
2014-08-21 19:11 ibs Relationship added related to 0025141
2014-08-21 19:16 git Note Added: 0031017
2014-08-28 17:09 git Note Added: 0031162
2014-08-28 17:09 ibs Relationship deleted related to 0025141
2014-09-01 16:54 git Note Added: 0031229
2014-09-02 17:15 git Note Added: 0031283
2014-09-03 12:00 git Note Added: 0031299
2014-09-03 12:30 git Note Added: 0031302
2014-09-03 15:10 git Note Added: 0031310
2014-09-03 15:26 git Note Added: 0031311
2014-09-16 11:30 ibs Relationship added related to 0024888
2014-09-16 11:30 ibs Relationship deleted related to 0025140
2014-09-16 11:31 ibs Relationship deleted related to 0024888
2014-09-16 17:39 ibs Note Added: 0031783
2014-10-07 12:40 git Note Added: 0032758
2014-10-15 10:15 git Note Added: 0033095
2014-10-15 15:26 git Note Added: 0033140
2014-10-15 16:05 git Note Added: 0033147
2014-10-15 16:48 git Note Added: 0033149
2014-10-15 18:08 git Note Added: 0033163
2014-10-16 15:34 git Note Added: 0033217
2014-10-17 17:40 git Note Added: 0033271
2014-10-20 14:04 git Note Added: 0033327
2014-10-20 18:45 git Note Added: 0033348
2014-10-21 15:24 git Note Added: 0033388
2014-11-13 18:47 git Note Added: 0034403
2014-11-13 18:58 git Note Added: 0034404
2014-11-14 15:54 git Note Added: 0034423
2014-11-14 15:57 git Note Added: 0034424
2014-11-19 13:43 git Note Added: 0034507
2014-11-19 15:04 git Note Added: 0034511
2014-12-10 18:23 git Note Added: 0035281
2014-12-25 12:11 git Note Added: 0035707
2014-12-26 15:29 git Note Added: 0035760
2014-12-26 16:45 git Note Added: 0035768
2014-12-27 12:50 git Note Added: 0035812
2014-12-27 14:19 git Note Added: 0035814
2014-12-29 14:16 git Note Added: 0035832
2014-12-29 16:05 git Note Added: 0035835
2014-12-30 13:00 git Note Added: 0035881
2014-12-30 14:11 git Note Added: 0035888
2015-01-15 16:07 git Note Added: 0036111
2015-01-23 14:26 ssv Note Added: 0036438
2015-01-23 14:27 ssv File Added: env.zip
2015-01-23 14:27 ssv File Added: overview.pdf
2015-01-23 16:22 git Note Added: 0036452
2015-01-23 16:24 git Note Added: 0036453
2015-01-23 17:19 git Note Added: 0036456
2015-01-23 18:27 ibs Note Added: 0036468
2015-01-23 18:28 git Note Added: 0036469
2015-01-23 18:29 git Note Added: 0036470
2015-01-23 18:33 ibs Note Added: 0036471
2015-01-26 12:28 git Note Added: 0036505
2015-01-26 19:17 git Note Added: 0036678
2015-01-26 19:34 git Note Added: 0036681
2015-01-27 12:06 ibs Note Added: 0036697
2015-01-27 12:06 ibs Assigned To abv => ski
2015-01-27 12:06 ibs Status assigned => feedback
2015-01-27 14:29 git Note Added: 0036708
2015-01-27 14:30 ski Assigned To ski => ibs
2015-01-28 10:23 git Note Added: 0036743
2015-01-28 17:17 ibs Note Added: 0036779
2015-01-28 17:17 ibs Assigned To ibs => ski
2015-01-28 17:17 ibs Status feedback => assigned
2015-01-28 17:18 ibs Note Edited: 0036779 View Revisions
2015-01-29 12:56 git Note Added: 0036808
2015-01-29 15:03 ski Note Added: 0036828
2015-01-29 15:03 ski Assigned To ski => ibs
2015-01-29 15:03 ski Status assigned => feedback
2015-01-29 15:04 ski Note Edited: 0036828 View Revisions
2015-02-04 11:45 ibs Relationship added related to 0025791
2015-02-10 11:32 ibs Note Added: 0037269
2015-02-10 11:32 ibs Assigned To ibs => ski
2015-02-10 11:32 ibs Status feedback => assigned
2015-02-10 17:27 git Note Added: 0037306
2015-02-10 19:04 git Note Added: 0037325
2015-02-11 16:07 git Note Added: 0037363
2015-02-11 17:40 git Note Added: 0037369
2015-02-11 17:45 ski Note Added: 0037370
2015-02-11 17:45 ski Assigned To ski => ibs
2015-02-11 17:45 ski Status assigned => feedback
2015-02-12 15:06 ibs Note Added: 0037440
2015-02-12 15:06 ibs Assigned To ibs => ski
2015-02-12 15:06 ibs Status feedback => assigned
2015-02-16 12:31 git Note Added: 0037565
2015-02-26 17:46 git Note Added: 0037932
2015-02-26 19:05 ski Note Added: 0037936
2015-02-26 19:05 ski Assigned To ski => ibs
2015-02-26 19:05 ski Status assigned => feedback
2015-06-11 14:37 git Note Added: 0042107
2015-06-15 14:30 git Note Added: 0042149
2015-06-16 13:44 git Note Added: 0042165
2015-06-28 21:45 git Note Added: 0042517
2015-06-29 20:37 abv Note Added: 0042571
2015-06-29 20:42 abv Note Edited: 0042571 View Revisions
2015-06-30 17:57 git Note Added: 0042610
2015-06-30 18:51 git Note Added: 0042615
2015-07-01 11:36 git Note Added: 0042632
2015-07-01 12:32 git Note Added: 0042633
2015-07-02 10:55 ibs Relationship added parent of 0026388
2015-07-02 11:05 ibs Relationship added parent of 0026389
2015-07-02 19:40 ibs Relationship added parent of 0022827
2015-07-03 06:56 abv Note Added: 0042693
2015-07-22 07:57 abv Note Added: 0043265
2015-07-22 07:57 abv Status feedback => tested
2015-07-22 07:57 git Note Added: 0043266
2015-07-22 10:54 git Note Added: 0043280
2015-07-22 16:50 git Note Added: 0043313
2015-07-23 11:55 abv Changeset attached => occt master 19286d7c
2015-07-23 11:55 abv Assigned To ibs => abv
2015-07-23 11:55 abv Status tested => verified
2015-07-23 11:55 abv Resolution open => fixed
2015-07-27 14:09 git Note Added: 0043560
2015-07-27 14:09 git Note Added: 0043561
2015-07-29 12:45 ibs Relationship added related to 0026475
2015-07-29 12:45 ibs Relationship deleted related to 0026475
2015-07-29 12:45 ibs Relationship added related to 0026475
2015-10-16 16:57 git Note Added: 0047060
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker